%global pypi_name Farama-Notifications
%global fedora_pypi_name farama-notifications
%global pypi_version 0.0.4

Name:           python-%{fedora_pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Notifications for all Farama Foundation maintained libraries

License:        MIT
URL:            https://github.com/Farama-Foundation/Farama-Notifications
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Farama-Notifications Allows for providing notifications on import to all
Farama Packages

%package -n     python3-%{fedora_pypi_name}
Summary:        %{summary}

%description -n python3-%{fedora_pypi_name}
Farama-Notifications Allows for providing notifications on import to all
Farama Packages


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{fedora_pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/farama_notifications
%{python3_sitelib}/Farama_Notifications-%{pypi_version}.dist-info

%changelog
* Sun Dec 24 2023 Tom Rix <trix@redhat.com> - 0.0.4-1
- Initial package.
